org.apache.http.impl.cookie

## Class BrowserCompatSpecFactory

- java.lang.Object
- - org.apache.http.impl.cookie.BrowserCompatSpecFactory

- All Implemented Interfaces:
    CookieSpecFactory, CookieSpecProvider

  Deprecated.
  (4.4) use `DefaultCookieSpecProvider`.

      @Contract(threading=IMMUTABLE)
      @Deprecated
      public class BrowserCompatSpecFactory
      extends Object
      implements CookieSpecFactory, CookieSpecProvider

  `CookieSpecProvider` implementation that provides an instance of `BrowserCompatSpec`. The instance returned by this factory can be shared by multiple threads.
  Since:
    4.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BrowserCompatSpecFactory.SecurityLevel` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserCompatSpecFactory()` Deprecated.
    `BrowserCompatSpecFactory(String[] datepatterns)` Deprecated.
    `BrowserCompatSpecFactory(String[] datepatterns, BrowserCompatSpecFactory.SecurityLevel securityLevel)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Deprecated. Creates an instance of `CookieSpec`.
    `CookieSpec` | `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `CookieSpec` using given HTTP parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrowserCompatSpecFactory

          public BrowserCompatSpecFactory(String[] datepatterns,
                                  BrowserCompatSpecFactory.SecurityLevel securityLevel)

      Deprecated.

    - #### BrowserCompatSpecFactory

          public BrowserCompatSpecFactory(String[] datepatterns)

      Deprecated.

    - #### BrowserCompatSpecFactory

          public BrowserCompatSpecFactory()

      Deprecated.

  - ### Method Detail

    - #### newInstance

          public CookieSpec newInstance(org.apache.http.params.HttpParams params)

      Deprecated.
      Description copied from interface: `CookieSpecFactory`
      Creates an instance of `CookieSpec` using given HTTP parameters.
      Specified by:
        `newInstance` in interface `CookieSpecFactory`
      Parameters:
        `params` - HTTP parameters.
      Returns:
        cookie spec.

    - #### create

          public CookieSpec create(org.apache.http.protocol.HttpContext context)

      Deprecated.
      Description copied from interface: `CookieSpecProvider`
      Creates an instance of `CookieSpec`.
      Specified by:
        `create` in interface `CookieSpecProvider`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.